#
# Copyright 2001 by Object Craft P/L, Melbourne, Australia.
#
# LICENCE - see LICENCE file distributed with this software for details.
#
#
# Build and test all listed modules.
#
# The module files must have a function 'suite' which returns
# an instance of unittest.TestSuite or unittest.TestCase.
#
# $Id: all.py 15384 2010-01-21 07:02:28Z andrewm $

import os, sys

import unittest

# Make sure we use the albatross from this working directory...
topdir = os.path.normpath(os.path.join(os.path.dirname(__file__), os.pardir))
sys.path.insert(0, topdir)

all_tests = [
    'templates.basic',
    'templates.control_flow',
    'templates.env',
    'templates.form',
    'templates.include',
    'templates.iterator',
    'templates.lookup',
    'templates.macro',
    'templates.require',
    'templates.tree',
    'templates.whitespace',
    'namespace.recorder',
    'namespace.request',
    'namespace.set_value',
    'sessions.file',
    'sessions.hiddenfield',
    'sessions.server',
    'misc.pagemodule',
    'misc.uriparse',
    'misc.flow',
    'ext.test_form',
    'doc_examples.suite',
]

def suite():
    return unittest.defaultTestLoader.loadTestsFromNames(all_tests)

if __name__ == '__main__':
    unittest.main(module=None, defaultTest='all.suite')
