#
# Copyright 2001 by Object Craft P/L, Melbourne, Australia.
#
# LICENCE - see LICENCE file distributed with this software for details.
#
# 
# Test whitespace.
#
# $Id: whitespace.py 15353 2010-01-18 09:09:09Z andrewm $

import unittest
import albatross
import template_common

class WhitespaceCase(template_common.TemplateTestCommon):

    template_dir = "whitespace"

    def test_default_ws(self):
        self.html_test("default-ws.html", "123")

    def test_strip(self):
        self.html_test("strip.html", "123")

    def test_indent(self):
        self.html_test("indent.html", "1  2  3")

    def test_newline(self):
        self.html_test("newline.html", "1\n2\n3")

    def test_all(self):
        self.html_test("all.html", "1\n       2\n    \t3")

    def test_bogus(self):
        self.tmpl_exc("bogus.html")


if __name__ == '__main__':
    unittest.main()
